%define debug_package	%{nil}
%define	Objects_Home	/fmem-kernel-objects-%{version}
%define	DIST		%(echo %{dist} | sed 's/\.//')
%define BaseName	fmem-kernel-modules
%define ARCH		%(uname -m)
%define _binaries_in_noarch_packages_terminate_build 0

Summary:	This package contains all of the kernel objects for all of the kernels for Fedora 25 x86_64 for FMEM

Packager:	Lawrence R. Rogers (lrr@cert.org)

Vendor:		cert.org
Name:		%{BaseName}-%{DIST}-%{ARCH}
Version:	1.6
%define	RELMAJ 1
%define RELMIN 50
Release:	%{RELMAJ}.%{RELMIN}

License:	GPL

Group:		Applications/Forensics Tools
URL:		http://hysteria.sk/~niekt0/fmem/
Source:		%{BaseName}-%{version}-%{RELMAJ}.tgz
Patch1:		%{BaseName}-%{version}-%{RELMAJ}-patch-001

BuildRoot:	%{_tmppath}/rpm-root-%{name}-v%{version}
BuildArch:	noarch

%description
This package provides kernel objects for Fedora 23 x86_64-based systems.

%prep
%setup -T -c
%patch1 -p1

%build

%install
%{__install} -d %{buildroot}%{_datadir}/%{BaseName}-%{version}
cp -rp %{Objects_Home}/*%{DIST}.*%{ARCH}* %{buildroot}%{_datadir}/%{BaseName}-%{version}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%attr(744, root, root)	%{_datadir}/%{BaseName}-%{version}/*/*.ko

%changelog
* Mon Oct 21 2019 Lawrence R. Rogers <lrr@cert.org> 1.6-1.50
* Release 1.6-1.50
	No changes - version number synchronization with LiME version.

* Sun Dec  3 2017 Lawrence R. Rogers <lrr@cert.org> 1.6-1.49
* Release 1.6-1.49
	Kernel modules were added for the following kernels:
		4.13.16-100

* Wed Nov 29 2017 Lawrence R. Rogers <lrr@cert.org> 1.6-1.48
* Release 1.6-1.48
	Kernel modules were added for the following kernels:
		4.13.15-100

* Wed Nov 22 2017 Lawrence R. Rogers <lrr@cert.org> 1.6-1.47
* Release 1.6-1.47
	Kernel modules were added for the following kernels:
		4.13.13-100

* Wed Nov 15 2017 Lawrence R. Rogers <lrr@cert.org> 1.6-1.46
* Release 1.6-1.46
	Kernel modules were added for the following kernels:
		4.13.12-100

* Wed Nov  8 2017 Lawrence R. Rogers <lrr@cert.org> 1.6-1.45
* Release 1.6-1.45
	Kernel modules were added for the following kernels:
		4.13.11-100

* Sun Nov  5 2017 Lawrence R. Rogers <lrr@cert.org> 1.6-1.44
* Release 1.6-1.44
	Kernel modules were added for the following kernels:
		4.13.8-100
		4.13.10-100

* Tue Oct 17 2017 Lawrence R. Rogers <lrr@cert.org> 1.6-1.43
* Release 1.6-1.43
	Kernel modules were added for the following kernels:
		4.13.5-100

* Tue Oct  2 2017 Lawrence R. Rogers <lrr@cert.org> 1.6-1.42
* Release 1.6-1.42
	Kernel modules were added for the following kernels:
		4.12.14-200

* Sun Sep 24 2017 Lawrence R. Rogers <lrr@cert.org> 1.6-1.41
* Release 1.6-1.41
	Kernel modules were added for the following kernels:
		4.12.13-200

* Thu Sep 14 2017 Lawrence R. Rogers <lrr@cert.org> 1.6-1.40
* Release 1.6-1.40
	Kernel modules were added for the following kernels:
		4.12.11-200

* Tue Sep  5 2017 Lawrence R. Rogers <lrr@cert.org> 1.6-1.39
* Release 1.6-1.39
	Kernel modules were added for the following kernels:
		4.12.9-200

* Thu Aug 24 2017 Lawrence R. Rogers <lrr@cert.org> 1.6-1.38
* Release 1.6-1.38
	Kernel modules were added for the following kernels:
		4.12.8-200

* Mon Jul 31 2017 Lawrence R. Rogers <lrr@cert.org> 1.6-1.37
* Release 1.6-1.37
	Kernel modules were added for the following kernels:
		4.11.12-200

* Tue Jul 25 2017 Lawrence R. Rogers <lrr@cert.org> 1.6-1.36
* Release 1.6-1.36
	Kernel modules were added for the following kernels:
		4.11.11-200

* Wed Jul 19 2017 Lawrence R. Rogers <lrr@cert.org> 1.6-1.35
* Release 1.6-1.35
	Kernel modules were added for the following kernels:
		4.11.10-200

* Thu Jul 13 2017 Lawrence R. Rogers <lrr@cert.org> 1.6-1.34
* Release 1.6-1.34
	Kernel modules were added for the following kernels:
		4.11.9-200

* Wed Jul  5 2017 Lawrence R. Rogers <lrr@cert.org> 1.6-1.33
* Release 1.6-1.33
	Kernel modules were added for the following kernels:
		4.11.8-200

* Sun Jul  2 2017 Lawrence R. Rogers <lrr@cert.org> 1.6-1.32
* Release 1.6-1.32
	Kernel modules were added for the following kernels:
		4.11.7-200

* Mon Jun 26 2017 Lawrence R. Rogers <lrr@cert.org> 1.6-1.31
* Release 1.6-1.31
	Kernel modules were added for the following kernels:
		4.11.6-201

* Mon Jun 19 2017 Lawrence R. Rogers <lrr@cert.org> 1.6-1.30
* Release 1.6-1.30
	Kernel modules were added for the following kernels:
		4.11.5-200
		4.11.4-200

* Mon Jun 12 2017 Lawrence R. Rogers <lrr@cert.org> 1.6-1.29
* Release 1.6-1.29
	Kernel modules were added for the following kernels:
		4.11.3-202

* Fri Jun  2 2017 Lawrence R. Rogers <lrr@cert.org> 1.6-1.28
* Release 1.6-1.28
	Kernel modules were added for the following kernels:
		4.11.3-200

* Mon May 29 2017 Lawrence R. Rogers <lrr@cert.org> 1.6-1.27
* Release 1.6-1.27
	Kernel modules were added for the following kernels:
		4.10.17-200

* Wed May 24 2017 Lawrence R. Rogers <lrr@cert.org> 1.6-1.26
* Release 1.6-1.26
	Kernel modules were added for the following kernels:
		4.10.16-200

* Fri May 19 2017 Lawrence R. Rogers <lrr@cert.org> 1.6-1.25
* Release 1.6-1.25
	Kernel modules were added for the following kernels:
		4.10.15-200

* Tue Apr 18 2017 Lawrence R. Rogers <lrr@cert.org> 1.6-1.24
* Release 1.6-1.24
	Kernel modules were added for the following kernels:
		4.10.10-200

* Mon Apr 17 2017 Lawrence R. Rogers <lrr@cert.org> 1.6-1.23
* Release 1.6-1.23
	Kernel modules were added for the following kernels:
		4.10.9-200

* Wed Apr  5 2017 Lawrence R. Rogers <lrr@cert.org> 1.6-1.22
* Release 1.6-1.22
	Kernel modules were added for the following kernels:
		4.10.8-200

* Mon Apr  3 2017 Lawrence R. Rogers <lrr@cert.org> 1.6-1.21
* Release 1.6-1.21
	Kernel modules were added for the following kernels:
		4.10.6-200

* Wed Mar 29 2017 Lawrence R. Rogers <lrr@cert.org> 1.6-1.20
* Release 1.6-1.20
	Kernel modules were added for the following kernels:
		4.10.5-200

* Sun Mar 19 2017 Lawrence R. Rogers <lrr@cert.org> 1.6-1.19
* Release 1.6-1.19
	Kernel modules were added for the following kernels:
		4.9.14-200

* Mon Mar 13 2017 Lawrence R. Rogers <lrr@cert.org> 1.6-1.18
* Release 1.6-1.18
	Kernel modules were added for the following kernels:
		4.9.13-201

* Sat Mar  4 2017 Lawrence R. Rogers <lrr@cert.org> 1.6-1.17
* Release 1.6-1.17
	Kernel modules were added for the following kernels:
		4.9.13-200

* Tue Feb 28 2017 Lawrence R. Rogers <lrr@cert.org> 1.6-1.16
* Release 1.6-1.16
	Kernel modules were added for the following kernels:
		4.9.12-200
		4.9.11-200

* Tue Feb 21 2017 Lawrence R. Rogers <lrr@cert.org> 1.6-1.15
* Release 1.6-1.15
	Kernel modules were added for the following kernels:
		4.9.10-200

* Tue Feb 14 2017 Lawrence R. Rogers <lrr@cert.org> 1.6-1.14
* Release 1.6-1.14
	Kernel modules were added for the following kernels:
		4.9.9-200

* Fri Feb 10 2017 Lawrence R. Rogers <lrr@cert.org> 1.6-1.13
* Release 1.6-1.13
	Kernel modules were added for the following kernels:
		4.9.8-201

* Wed Feb  8 2017 Lawrence R. Rogers <lrr@cert.org> 1.6-1.12
* Release 1.6-1.12
	Kernel modules were added for the following kernels:
		4.9.7-201

* Tue Jan 31 2017 Lawrence R. Rogers <lrr@cert.org> 1.6-1.11
* Release 1.6-1.11
	Kernel modules were added for the following kernels:
		4.9.6-200

* Wed Jan 25 2017 Lawrence R. Rogers <lrr@cert.org> 1.6-1.10
* Release 1.6-1.10
	Kernel modules were added for the following kernels:
		4.9.5-200

* Mon Jan 23 2017 Lawrence R. Rogers <lrr@cert.org> 1.6-1.9
* Release 1.6-1.9
	Kernel modules were added for the following kernels:
		4.9.4-201

* Mon Jan 16 2017 Lawrence R. Rogers <lrr@cert.org> 1.6-1.8
* Release 1.6-1.8
	Kernel modules were added for the following kernels:
		4.9.3-200

* Fri Jan 13 2017 Lawrence R. Rogers <lrr@cert.org> 1.6-1.7
* Release 1.6-1.7
	Kernel modules were added for the following kernels:
		4.8.16-300

* Tue Dec 27 2016 Lawrence R. Rogers <lrr@cert.org> 1.6-1.6
* Release 1.6-1.6
	Kernel modules were added for the following kernels:
		4.8.15-300

* Tue Dec 20 2016 Lawrence R. Rogers <lrr@cert.org> 1.6-1.5
* Release 1.6-1.5
	Kernel modules were added for the following kernels:
		4.8.14-300

* Tue Dec 13 2016 Lawrence R. Rogers <lrr@cert.org> 1.6-1.4
* Release 1.6-1.4
	Kernel modules were added for the following kernels:
		4.8.13-300

* Mon Dec 12 2016 Lawrence R. Rogers <lrr@cert.org> 1.6-1.3
* Release 1.6-1.3
	Kernel modules were added for the following kernels:
		4.8.12-300

* Wed Dec  7 2016 Lawrence R. Rogers <lrr@cert.org> 1.6-1.2
* Release 1.6-1.2
	Kernel modules were added for the following kernels:
		4.8.11-300

* Thu Dec  1 2016 Lawrence R. Rogers <lrr@cert.org> 1.6-1.1
* Release 1.6-1.1
	Initial release. Kernel modules were added for the following kernels:
		4.8.10-300
                4.8.8-300
                4.8.6-300
